---
rank: 16
title: A 35lb weight swing in two years
date: 2016-02-03T18:44:02.983Z
layout: post
path: /a-35lb-weight-swing-in-two-years/
next: /e-for-express-nerp-stack-part-2/
previous: /n-for-node-js-nerp-stack-part-1/
tags:
  - fun
  - data
  - nutrition
---

<a class="plain" href="https://static.sinap.ps/blog/2016/02_feb/weight/weight.png"><img src="https://static.sinap.ps/blog/2016/02_feb/weight/weight.png" alt="weight 5/15/2013 to 1/20/2016, X = time, Y = weight in lbs"></a>

Over the past two years, my max weight was 172 lbs, and my minimum was 137 lbs. That's a 35-pound difference. But it definitely wasn't the standard "I'm not sure why it's happening, and I'm out of control!" I'm very interested in health, nutrition and fitness, and these changes were due to explicit experimentation!

<div class='fold'></div>

## Eat for Heat

Our story starts in Summer 2013. I had been weighing myself for a couple months after getting a [Fitbit Aria Scale](https://www.fitbit.com/aria) as a gift. Ever optimizing, I was reading yet another diet book: [Matt Stone's Eat For Heat](http://www.amazon.com/Eat-Heat-Metabolic-Approach-Drink-ebook/dp/B00AGBH7FO). And it really got me excited. I had been reading his [180 Degree Health website](http://180degreehealth.com/) for a while: it [broke me out of my low-carb diet phase](/my-standard-breakfast/), and his [RRARF diet](http://www.seven-health.com/2010/11/rehabilitative-rest-and-aggressive-re-feeding-part-1/) was intriguing. But this was different.

Its key point was that constant yo-yo dieting injures your metabolism. One symptom of this is that your body temperature is lower than it should be. In this situation, everything in the body is less efficient.

Matt's Stone's recommendation was a radical departure from every other diet I'd seen. He called his plan The High Everything Diet. Other diets preached resistance of urges, shutting down your senses, doing what's right even if it hurts. Matt Stone recommended listening to your body, paying close attention to how it feels. It was like a breath of fresh air. And it just made sense. It's an experimental mindset: How do you feel after you eat that?

One particular situation discussed in the book really rang true for me:

> *"Any time you pee clear, have a particularly strong urge to urinate that strikes you suddenly, urinate several times in rapid succession, or pee an abnormally large amount – eat a salty carbohydrate-rich snack or meal as soon as possible." ([Eat for Heat](http://www.amazon.com/Eat-Heat-Metabolic-Approach-Drink-ebook/dp/B00AGBH7FO))*

It definitely happened to me sometimes, that urgent need to pee. Conventional wisdom was that peeing clear was a good thing, so I had a bottle of water around at all times, always sure to keep my body topped off. A lower fluid intake and better understanding of my symptoms gave me immediate success. After all, dry mouth often signals not dehydration but stress due to electrolyte imbalance or low blood sugar.

[The systems analyst](/systems-and-incentives/) in me loved the idea of putting some sort of [feedback loop](/the-why-of-agile/) in place. I paid close attention to my subjective feeling as well as metrics like body temperature, warmth of hands, color of urine, etc. And I started eating more.

## The High Everything Diet

I didn't take anything out of my diet, I just added: milkshakes, ice cream, cookies, brownies, anything I felt like. But all on top of my normal meals. I was eating a lot more food, trying to give my body what it wanted. My goal was to give it enough variety to make it happy, since I had been pretty obsessive, largely disconnected from myself.

You can see the weight I gained from late July 2013 to June 2014. Yes, it was a gain of about 25 lbs, but it wasn't in the standard ways. My shirts were tight in the shoulders and chest, not the belly. My waist was larger, but so were my legs. The new weight was pretty evenly spread across my body.

More importantly, I felt good! My activity levels didn't go down. [You can see a nice progression in my run distances that fall](/learning-limits-post-injury-running/), though I did end up pushing myself too hard.

<a class="plain" href="https://static.sinap.ps/blog/2016/02_feb/weight/bodyfat.png"><img src="https://static.sinap.ps/blog/2016/02_feb/weight/bodyfat.png" alt="bodyfat 5/15/2013 to 1/20/2016, X = time, Y = bodyfat percentage"></a>

## Acupuncture

A year later, in Summer 2014, I was struggling to determine why I had better digestion outside of Seattle. I had lots of theories, like increased prevalence of mold in the soggy Pacific Northwest, but my frontrunner was that it was due to stress. The theory was that being away from Seattle, and my everyday life there, allowed me to clear my mind of worry. So I tried various things: meditation, general relaxation, getting outside more, mind-clearing cardio, and massages. But nothing really seemed to help.

Then I decided to try acupuncture, something I had heard a lot about but never tried. By an accident of luck, I got connected with a talented [Traditional Chinese Medicine (TCM) Herbalist and Acupuncturist, Rhiannon Stanford](http://seattleacupuncturehub.com/), so I hadn't just signed up for pins and needles. I got the full treatment: a full introduction to TCM, and custom-mixed medicinal herbal teas to address my situation.

My situation was **[damp/heat](http://health.howstuffworks.com/wellness/natural-medicine/chinese/traditional-chinese-medicine-causes-of-illness4.htm)**. I was challenging my system too much with difficult-to-digest things like ice cream, and that Pacific Northwest "dampness" didn't help either! It was also interesting to see the integration of the mind and body in TCM: stress/worry can lead to dampness:

> *"Worry, pensiveness and mental overwork often negatively affect the transporting and transforming function of the spleen and contribute to deranged water metabolism as internal dampness" ([AcupunctureToday.com](http://acupuncturetoday.com/mpacms/at/article.php?id=31706))*

Armed with my twice-daily herbal tea and a few diet changes, I started to lose weight. No more ice cream, milkshakes, or raw milk. Dairy was limited to butter and yogurt, and I relaxed on sweets but didn't cut them out entirely.

You can see how this stabilized me in the bodyfat chart. It wasn't simply that I lost weight, I also didn't have such wild swings in my electrolyte levels. The Fitbit Aria Scale measures your bodyfat percentage via [electrical impedance](https://en.wikipedia.org/wiki/Bioelectrical_impedance_analysis), so a very salty meal will affect your numbers. You can see some smoothing artifacts in the chart, since FitBit tries to do something about this with its algorithms. I'd rather smooth out the source data!

## A new Standard Breakfast

Last sumer, Summer 2015, having seen some great improvement, I decided to further optimize my diet based on TCM. And this resulted in a big change: [my standard breakfast](/my-standard-breakfast/) changed for the first time in about five years! In a way, I was returning to my cereal-centric roots.

My current standard breakfast is:

* Warm boiled [pearled barley](https://en.wikipedia.org/wiki/Pearl_barley)
* Two eggs
* Hot tea (herbal medicinal tea most of the time)
* Occasionally a piece of bacon
* Occasionally sucanat/fruit on the barley

I'll tell you one thing - it's a whole lot faster to prepare! I can make barley for the week in advance then heat it up as I make my eggs. Eggs over easy on top of the barley makes a savory, warm, yellow/orange mess. Sucanat and fruit make the barley into a sweet dish.

Barley is [full of important nutrients](https://medium.com/war-is-boring/eating-too-much-rice-almost-sank-the-japanese-navy-f985772c81a6#.jhalphui4), and specifically recommended to help with dampness. And the whole thing is easier to digest. I also integrated rye, more steamed vegetables (instead of raw), and more beans into the rest of my diet. Since last summer my weight has started to stabilize after my recent swings.

My goal is balance: health and a strong metabolism.

<a class="plain" href="https://static.sinap.ps/blog/2016/02_feb/weight/regression.png"><img src="https://static.sinap.ps/blog/2016/02_feb/weight/regression.png" alt="scatterplot, X = bodyfat percentage, Y = weight in lbs"></a>

## A bit on the data

Looking at the scatter plot, it's interesting to see the left-to-right variability. Left/above the trendline is leaner than average, and the area to the right/below the line means there is less muscle than expected. It seems that between 140 and 150, slightly to the right of the trendline is my sweet spot. Also, if I ever get to 30% bodyfat I'd probably weigh about 183 lbs. 40% bodyfat: 217 lbs!

How did I get all this data? FitBit scales don't just measure the data - they send it to Fitbit's servers every day. However, to do anything with the data other than use Fitbit's reports, you need to export it. And it's not a pretty process.

First, you can only export 30 days at a time, and the selector makes it a pain to change your date range once you have one in place. Transitioning from "12/1 - 12/31" to "11/1 - 11/30" requires weird leapfrogging. And the fields are marked `readonly`! Why!?

Second, Fitbit does some ill-advised data transformations on export. The scale only generates data on a day you step on it and it is able to connect to FitBit's servers. But Fitbit doesn't allow for days with your weight at zero in the export, so it *[interpolates](https://en.wikipedia.org/wiki/Interpolation) between your real data points*. And so, the Fitbit site knows about the real datapoints, and the exported data does not. I had to go through my spreadsheet manually to remove the fake datapoints. You can actually see the straight-line clusters in the [scatter](https://static.sinap.ps/blog/2016/02_feb/weight/regression-with-interpolation.png)[ chart without my manual cleaning](https://static.sinap.ps/blog/2016/02_feb/weight/regression-with-interpolation.png)!

Lastly, thanks to [Kav Latiolais](https://twitter.com/kavla?lang=en) for the scale. I never would have bought it myself, but it's been fun playing with the data.

## Experiment!

If I've learned anything from all of this, it's the value of the experimental mindset. When I was gaining weight, I wasn't worried because it was just something I was trying. I wasn't following a new [Holy Grail diet plan](/the-why-of-agile/#best-practices), and I wasn't tempted to find fault in myself or my application of the plan.

I lived, gathered data by listening to my body, then tweaked. Guess it makes sense, my body [is pretty Complex](https://en.wikipedia.org/wiki/Cynefin_Framework).

